<p align='center'><img src="https://raw.githubusercontent.com/PAXANDDOS/PAXANDDOS/main/lucast/icon.png" height="120"></p>
<p align="center">
        <a href="https://www.electronjs.org/" target="_blank">
            <img src="https://upload.wikimedia.org/wikipedia/commons/9/91/Electron_Software_Framework_Logo.svg" height="50">
        </a>
        <a href="https://reactjs.org/" target="_blank">
            <img src="https://upload.wikimedia.org/wikipedia/commons/a/a7/React-icon.svg" height="50">
        </a>
        <a href="https://vitejs.dev/" target="_blank">
            <img src="https://vitejs.dev/logo.svg" height="50">
        </a>
        <a href="https://www.typescriptlang.org/" target="_blank">
            <img src="https://upload.wikimedia.org/wikipedia/commons/4/4c/Typescript_logo_2020.svg" height="50">
        </a>
        <a href="https://sass-lang.com/" target="_blank">
            <img src="https://upload.wikimedia.org/wikipedia/commons/9/96/Sass_Logo_Color.svg" height="50">
        </a>
</p>

## :thinking: What's Lucast?

**Lucast** is a free screen-recording application for Windows, macOS, and Linux. Capture how you work, how you play, how you do anything, and share it with the world in a simple way!

## :inbox_tray: Downloads

Lucast is made with Electron, which makes it possible to ship the application to different operating systems.
Download the latest release in the releases tab or below:

-   :window: **Windows** — [**Download**](https://github.com/PAXANDDOS/lucast-electron/releases/download/v2.0.1/Lucast-Setup.exe)
-   :desktop_computer: **macOS** — [**Download**](https://github.com/PAXANDDOS/lucast-electron/releases/download/v2.0.1/Lucast-Installer.dmg)
-   :penguin: **Linux** — [**Download**](https://github.com/PAXANDDOS/lucast-electron/releases/download/v2.0.1/Lucast-Installer.AppImage)

Or visit the [releases page](https://github.com/PAXANDDOS/lucast-electron/releases) to download any other version and read the changelog.  
_Lucast has its own **updater**, so you won't need to check this page for new releases. Just click one button and if there is an update - Lucast will install it for you!_

## :framed_picture: Screenshots

![](https://raw.githubusercontent.com/PAXANDDOS/PAXANDDOS/main/lucast/screenshots/default.png)
![](https://raw.githubusercontent.com/PAXANDDOS/PAXANDDOS/main/lucast/screenshots/game.png)
![](https://raw.githubusercontent.com/PAXANDDOS/PAXANDDOS/main/lucast/screenshots/about.png)
![](https://raw.githubusercontent.com/PAXANDDOS/PAXANDDOS/main/lucast/screenshots/settings.png)
![](https://raw.githubusercontent.com/PAXANDDOS/PAXANDDOS/main/lucast/screenshots/updater.png)

## :world_map: Upcoming

I would love to make this project better, and here's what I'm planning to do:

### In update v2.1.0:

-   **Improved visuals.** Different effects when the user interacts with buttons, styles for settings.
-   **Progress messages.** Processing videos take some time and users don't really know what's happening. More messages with progress and status will help.

### Other planned features

-   **Other useful features.** Features like _screenshots_ or a _video editor_ for recorded videos may be a good idea!

This list will be edited if a new feature will be in progress or something from the above releases.

## :memo: Changelog

### Update v2.0.0:

-   **Featuring FFmpeg and FFprobe!** It's a huge change for the quality of recorded videos and configuration! FFmpeg helps to handle video, audio, and other multimedia files and streams. What does it mean for Lucast? Now you have a wide variety of formats to choose from, you can set a resolution that differs from your native, you can customize your recorder videos frame rate, and you can configure the volume of your audio! Whatever you choose, the quality of the output video will be so much better than in v1.3.0! High-quality video and clear audio with a small file size, that is what it means!
-   **New UI.** Not just a big block with buttons now! Now there are much fancier control buttons at the bottom and a menu to the left!
-   **New face.** Now Lucast has its own face! A brand new unique logo should fit well!
-   **Menu and video list.** Now there is a nice menu to the left with all your recorded videos, click on them to play! Or click on the folder directory to open it with your explorer. Also "information" and "settings" buttons are there, as well as the new information about your disk usage, so you can keep track of how many videos you can record until your disk drive is full.
-   Improvement: **Updated framework.** The core framework was updated to the latest stable version, which brings an updated browser, platform, and engine. Includes different fixes, performance, and security improvements.
-   Improvement: **Restructured source code.** More readable and simple, containing new importing choices and fixes.
-   Fix: **Fixed application name in notifications.**
-   Improvement: **Simplified and optimized types.**
-   **Other fixes and improvements.**

### Update v1.3.0:

-   **Cool updater.** One simple button that will check if there is any update on the official resource. If so, it will install it for you!
-   **Audio switch**. Now you can turn your system audio on and off! Remember that the audio is not captured directly from your system and not from a specific window!
-   **You can change video and audio bitrate.** New options for both video and audio groups in the settings. Select any bitrate that you want, but remember, the most optional is the one with your screen resolution! Higher bitrate - higher image quality and bigger file size, lower quality - smaller size but an unclear image in motion.
-   **Fancy log window.** Now you can read more about the update and view the update log.

### Update v1.2.0:

-   **Bindings.** You can now start your recording without even opening the application! Use pre-defined keybindings or set yours. Start and end your recordings easily.
-   **Storage.** Now all your settings are saved to the configuration file, so the usage is more comfortable!
-   **Notifications.** Notifications for your actions (e.g. Starting or ending recording with a keybinding or checking for updates).
-   **System info and updater.** Your system information is displayed alongside the application information. Also, start of the Updater feature development!

### Update v1.1.0:

-   **Custom title bar.** Now there is a fancy title bar with window control buttons!
-   **Modals.** Modals for application information and settings!

### Release v1.0.0:

-   **Recorder.** Record your selected screen or window and save it to your computer!

## :paperclips: Contributing

This project is fully free-to-use and supported only by me. It's built with Electron and React. Also, it's my first project on Electron and I'm still learning it. If you would like to contribute or give me some advice - feel free to create an issue or a pull request!

## :fox_face: Have a great day!

If you like what I do, please **[check out my other projects](https://github.com/PAXANDDOS?tab=repositories)** and **[visit my website](https://paxanddos.github.io)!**
